{
  "name": "secretariat-v2",
  "version": "1.0.0",
  "description": "",
  "author": "",
  "private": true,
  "license": "ISC",
  "scripts": {
    "prebuild": "rimraf dist",
    "build": "tsc --project tsconfig.build.json",
    "format": "prettier --write \\\"src/**/*.ts\\\" \\\"tests/**/*.ts\\\"",
    "start:dev": "ts-node-dev src/index.ts",
    "start:prod": "node dist/main",
    "lint": "eslint \"{src,apps,libs,test}/**/*.ts\" --fix",
    "test": "jest",
    "test:watch": "jest --watchAll",
    "test:integration": "jest --config tests/jest-integration.json",
    "test:e2e": "jest --config tests/jest-e2e.json"
  },
  "dependencies": {
    "body-parser": "^1.19.0",
    "cookie-parser": "^1.4.5",
    "cors": "^2.8.5",
    "dotenv": "^10.0.0",
    "ejs": "^3.1.6",
    "express": "^4.17.1",
    "express-jwt": "^6.1.0",
    "helmet": "^4.6.0",
    "jsonwebtoken": "^8.5.1",
    "knex": "^0.95.10",
    "pg": "^8.7.1",
    "rimraf": "^3.0.2"
  },
  "devDependencies": {
    "@jest/reporters": "^27.1.1",
    "@types/cors": "^2.8.12",
    "@types/dotenv": "^8.2.0",
    "@types/ejs": "^3.1.0",
    "@types/express": "^4.17.13",
    "@types/express-jwt": "^6.0.2",
    "@types/helmet": "^4.0.0",
    "@types/jest": "^27.0.1",
    "@types/jsonwebtoken": "^8.5.5",
    "@types/knex": "^0.16.1",
    "@types/node": "^16.7.6",
    "@types/supertest": "^2.0.11",
    "@typescript-eslint/eslint-plugin": "^4.29.3",
    "@typescript-eslint/parser": "^4.29.3",
    "esbuild": "^0.12.24",
    "esbuild-jest": "^0.5.0",
    "eslint": "^7.32.0",
    "eslint-config-prettier": "^8.3.0",
    "eslint-config-standard": "^16.0.3",
    "eslint-plugin-import": "^2.24.2",
    "eslint-plugin-node": "^11.1.0",
    "eslint-plugin-prettier": "^3.4.1",
    "eslint-plugin-promise": "^5.1.0",
    "husky": "^7.0.2",
    "jest": "^27.1.1",
    "prettier": "^2.3.2",
    "supertest": "^6.1.6",
    "ts-jest": "^27.0.5",
    "ts-node": "^10.2.1",
    "ts-node-dev": "^1.1.8",
    "typescript": "^4.4.2"
  }
}
